﻿package {
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.utils.Timer;
	import com.pixelfumes.reflect.*;
	
	import icon.Cicon;	

	/**
	 * @author navi main
	 */
	public class Main extends MovieClip {
				
		private var overbool:Boolean;
		private var overIcon:int;
		private var mc_arr:Array;
		private var center:int;
		private var mid:int;
		private var frametime:Timer;
		private var bit_arr:Array;
			
		public function Main() {
			
			bit_arr = new Array();
			bit_arr = [icon0,icon1,icon2,icon3,icon4];
			mc_arr = new Array();
				
			for (var i:int=0; i< bit_arr.length; i++) {
				
				
				bit_arr[i].trgScale = 1.0;
				bit_arr[i].num = i;
				bit_arr[i].addEventListener(MouseEvent.MOUSE_OVER, iconOverhandler);
				bit_arr[i].addEventListener(MouseEvent.MOUSE_OUT, iconOuthandler);
				
				
				

				addChild(bit_arr[i]);
				
				
			}
			
			this.addEventListener(Event.ENTER_FRAME, onEnterframehandler);		
			mid =  Math.floor(bit_arr.length/2);
			overIcon = mid;
			overbool = false;
			center = bit_arr[mid].x;
		}
	

		private function iconReset():void
		{
			for (var i:int=0; i<bit_arr.length; i++) {
				bit_arr[i].trgScale = 1.0;
			}
			overIcon = mid;
			
			
			bit_arr[mid].addEventListener(Event.ENTER_FRAME,mcEnterframe);
		}
		
		private function mcEnterframe(event : Event) : void {
			var speed:int = (center-event.target.x)*0.1;
			event.target.x += speed;
			if (Math.abs(speed)<0.01) {
				bit_arr[mid].removeEventListener(Event.ENTER_FRAME,mcEnterframe);
			}
		}

		private function iconOuthandler(event : MouseEvent) : void {
			
			iconReset();
				
			overbool = false;
			
		}

		private function iconOverhandler(event : MouseEvent) : void {
			overbool = true;
			overIcon = event.target.num;
			
		}
			
		
		private function onEnterframehandler(event : Event) : void {
			
			for (var i:int=0; i<bit_arr.length; i++) {
				
				if (overbool)
				{
					var distance:int = Math.abs(bit_arr[i].x- mouseX)/2;
					bit_arr[i].trgScale = (200-distance)/100;
					if (bit_arr[i].trgScale < 1.0)
					{
						bit_arr[i].trgScale = 1.0;
					}
				}
				
				bit_arr[i].scaleX = bit_arr[i].scaleY += (bit_arr[i].trgScale-bit_arr[i].scaleX)*0.4;				
			}				
			for (i=overIcon+1; i < bit_arr.length; i++) {
				bit_arr[i].x = bit_arr[i-1].x + bit_arr[i-1].width/2 + bit_arr[i].width/2;
			}
			for (i=overIcon-1; i > -1; i--) {
								
				bit_arr[i].x = bit_arr[i+1].x - bit_arr[i+1].width/2 - bit_arr[i].width/2;
			}
		}	
	}
}
